/*
	
	ColorView.cpp
	
	Copyright 2000 HAMANAKA Makoto , All Rights Reserved.
	
*/

/*
#ifndef _APPLICATION_H
#include <Application.h>
#endif
#ifndef FONT_WINDOW_H
#include "FontWindow.h"
#endif

#ifndef _HANDLER_H
#include <Handler.h>
#endif
*/

#ifndef FONT_WORLD_H
#include "FontWorld.h"
#endif
#ifndef COLOR_VIEW_H
#include "ColorView.h"
#endif

ColorView::ColorView(BRect frame, BMessage *message)
				: BControl(frame, "colorview",NULL, message, B_FOLLOW_NONE, 0)
{
}

void ColorView::MouseDown(BPoint point)
{
	BMessage *send_message = new BMessage(*this->Message());
	send_message->RemoveName("value");
	send_message->AddString("value", "MouseDown");
	this->Invoke(send_message);
}

void ColorView::SetColor(rgb_color _color)
{
	color_value = _color;
	if (Window()->Lock())
	{
		this->SetViewColor(color_value);
		this->SetValue(make_uint32_from_rgb_color(color_value));
		Invalidate();
		Window()->Unlock();
	}
};

void ColorView::AttachedToWindow(void)
{
	this->SetViewColor(color_value);
}

/*
void ColorView::Draw(BRect updateRect)
{
}
*/

/*
bool ColorView::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return(true);
}
*/
