/*
	
	ColorView.h
	
	Copyright 2000 HAMANAKA Makoto , All Rights Reserved.
	
*/

#ifndef COLOR_VIEW_H
#define COLOR_VIEW_H

#ifndef _CONTROL_H
#include <Control.h>
#endif
#ifndef RGB_COLOR_UTIL_H
#include "rgb_color_util.h"
#endif

class ColorView : public BControl
{
protected:
	rgb_color color_value;
	rgb_color border_color;
public:
	ColorView(BRect frame, BMessage *message); 
	virtual void MouseDown(BPoint point);
	virtual void AttachedToWindow(void);
	//virtual void Draw(BRect updateRect);
	void SetColor(rgb_color _color);
	rgb_color GetColor()
	{
		return color_value;
	};
	void SetBorderColor(rgb_color _color)
	{
		border_color = _color;
		Invalidate();
	};

//virtual	bool	QuitRequested();
};

#endif //COLOR_VIEW_H
