/*
	
	FontDisplaySetting.h
	
	Copyright 1998 HAMANAKA Makoto , All Rights Reserved.
	
*/

#ifndef FONT_DISPLAY_SETTING_H
#define FONT_DISPLAY_SETTING_H


#ifndef _STRING_H
#include <String.h>
#endif
#ifndef _GRAPHICS_DEFS_H
#include <GraphicsDefs.h>
#endif
#ifndef _MESSAGE_H
#include <Message.h>
#endif


class FontDisplaySetting
{
private:
	BString setting_name;

public:
	BString GetSettingName(void)
	{
		return setting_name;
	}
	void SetSettingName(BString _name)
	{
		setting_name = _name;
	}
	bool enable_display_lines;
	bool enable_antialiasing;
	bool black_white_mode;
	float font_size;
	rgb_color fg_color;
	rgb_color bg_color;

	FontDisplaySetting();
	FontDisplaySetting(FontDisplaySetting &copy_src);
	//status_t Save(char *path);
	
/*
	//bool enable_display_lines;
	void SetBool_EnableDisplayLines(bool value);
	bool GetBool_EnableDisplayLines();
	//bool enable_antialiasing;
	void SetBool_EnableAntialiasing(bool value);
	bool GetBool_EnableAntialiasing();
	//uint32 font_size;
	void SetFontSize(uint32 font_size);
	void GetFontSize();
	
*/
	void SaveToMessage(BMessage *target);
	void LoadFromMessage(BMessage *target);

	BString ToString();

	//rgb_color fg_color;
	//rgb_color bg_color;
	
//				FontWindow(BRect frame); 
//virtual	bool	QuitRequested();
};

#endif //FONT_DISPLAY_SETTING_H
