/*
	
	rgb_color_util.h
	
	Copyright 2000 HAMANAKA Makoto , All Rights Reserved.
	
*/

#ifndef RGB_COLOR_UTIL_H
#define RGB_COLOR_UTIL_H

#ifndef _GRAPHICS_DEFS_H
#include <GraphicsDefs.h>
#endif

#ifndef _STRING_H
#include "String.h"
#endif

extern rgb_color make_rgb_color( uint8 r, uint8 g, uint8 b, uint8 a=255);
extern uint32 make_uint32_from_rgb_color(rgb_color &rgba);
extern rgb_color make_rgb_color_from_uint32(uint32 color);
extern BString rgb_color_to_string(rgb_color &rgba);


#endif //RGB_COLOR_UTIL_H
